Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1336 (closed enhancement: fixed)

Opened 12 years ago

Last modified 11 years ago

[patch] Usability improvement to athdebug and 80211debug

Reported by: mtaylor Assigned to: mtaylor
Priority: minor Milestone: version 0.9.5
Component: madwifi: tools Version: trunk
Keywords: Cc:
Patch is attached: 1 Pending:

Description

I found two major impediments to using athdebug and 80211debug:

1. When no device exists, using 80211debug or athdebug without arguments will cause an error to be displayed, rather than usage information.

2. Flags are entered and displayed in either hexadecimal (which is efficient but non-friendly) or symbolic names. However, symbolic names are never displayed and are only available if you have man pages installed (not common on access points).

The attached patch corrects both situations. For #1 we add usage message if this occurs. For #2 we add a tabular mapping of symbolic names to hexadecimal values in the usage information and after each invocation we display the same table with an indicator of which flags are enabled.

These changes greatly improve the usability of the debug flags.

Attachments

madwifi-0.9.3-debug-usability-enhancement.diff (2.9 kB) - added by mtaylor on 05/23/07 19:08:00.
Improved usability for athdebug and 80211debug flag manipulation tools
madwifi-0.9.3-debug-usability-enhancement.2.diff (2.9 kB) - added by mtaylor on 05/24/07 01:19:37.
Correct brain fart in previous version. Test, then post. Test, then post.

Change History

05/23/07 19:08:00 changed by mtaylor

  • attachment madwifi-0.9.3-debug-usability-enhancement.diff added.

Improved usability for athdebug and 80211debug flag manipulation tools

05/23/07 19:09:12 changed by mtaylor

  • type changed from defect to enhancement.

Changed type to enhancement.

05/24/07 01:19:37 changed by mtaylor

  • attachment madwifi-0.9.3-debug-usability-enhancement.2.diff added.

Correct brain fart in previous version. Test, then post. Test, then post.

05/24/07 01:26:41 changed by mentor

You should apply this if it works for you.

05/24/07 09:31:32 changed by mrenzmann

  • milestone changed from version 0.9.x - progressive release candidate phase to version 0.9.4.

I agree... creating tickets for patches is only necessary when you would like to request for comments about that patch. Otherwise just shoot :)

05/24/07 23:21:19 changed by mtaylor

  • status changed from new to closed.
  • resolution set to fixed.

Committed in r2370.

02/11/08 06:18:35 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.